summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
Diffstat (limited to 'docker')
-rw-r--r--docker/Dockerfile2
-rwxr-xr-xdocker/run_tests.sh84
2 files changed, 55 insertions, 31 deletions
diff --git a/docker/Dockerfile b/docker/Dockerfile
index 3c5a2a657..45aa05c7b 100644
--- a/docker/Dockerfile
+++ b/docker/Dockerfile
@@ -54,6 +54,8 @@ libxml2-dev \
libffi-dev \
crudini \
ruby1.9.1-dev \
+npm \
+nodejs \
--no-install-recommends
diff --git a/docker/run_tests.sh b/docker/run_tests.sh
index c0bf06a2a..50a1296c1 100755
--- a/docker/run_tests.sh
+++ b/docker/run_tests.sh
@@ -50,6 +50,25 @@ function clean_openstack(){
fi
}
+function odl_tests(){
+ neutron_ip=$(keystone catalog --service identity | grep publicURL | cut -f3 -d"/" | cut -f1 -d":")
+ odl_ip=$(keystone catalog --service network | grep publicURL | cut -f3 -d"/" | cut -f1 -d":")
+ usr_name=$(env | grep OS | grep OS_USERNAME | cut -f2 -d'=')
+ password=$(env | grep OS | grep OS_PASSWORD | cut -f2 -d'=')
+ odl_port=8181
+ if [ $INSTALLER_TYPE == "fuel" ]; then
+ odl_port=8282
+ elif [ $INSTALLER_TYPE == "apex" ]; then
+ :
+ elif [ $INSTALLER_TYPE == "joid" ]; then
+ :
+ elif [ $INSTALLER_TYPE == "compass" ]; then
+ :
+ else
+ error "INSTALLER_TYPE not valid."
+ exit 1
+ fi
+}
function run_test(){
test_name=$1
echo ""
@@ -70,23 +89,7 @@ function run_test(){
;;
"odl")
info "Running ODL test..."
- neutron_ip=$(keystone catalog --service identity | grep publicURL | cut -f3 -d"/" | cut -f1 -d":")
- odl_ip=$(keystone catalog --service network | grep publicURL | cut -f3 -d"/" | cut -f1 -d":")
- usr_name=$(env | grep OS | grep OS_USERNAME | cut -f2 -d'=')
- password=$(env | grep OS | grep OS_PASSWORD | cut -f2 -d'=')
- odl_port=8181
- if [ $INSTALLER_TYPE == "fuel" ]; then
- odl_port=8282
- elif [ $INSTALLER_TYPE == "apex" ]; then
- :
- elif [ $INSTALLER_TYPE == "joid" ]; then
- :
- elif [ $INSTALLER_TYPE == "compass" ]; then
- :
- else
- error "INSTALLER_TYPE not valid."
- exit 1
- fi
+ odl_tests
ODL_PORT=$odl_port ODL_IP=$odl_ip NEUTRON_IP=$neutron_ip USR_NAME=$usr_name PASS=$password \
${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/start_tests.sh
@@ -118,24 +121,43 @@ function run_test(){
"rally")
info "Running Rally benchmark suite..."
cinder type-create volume-test #provisional
- python ${FUNCTEST_REPO_DIR}/testcases/VIM/OpenStack/CI/libraries/run_rally.py \
+ python ${FUNCTEST_REPO_DIR}/testcases/VIM/OpenStack/CI/libraries/run_rally-cert.py \
--debug all ${report}
cinder type-delete $(cinder type-list|grep test|awk '{print $2}')
clean_openstack
;;
- "bgpvpn_template")
+ "bgpvpn")
info "Running BGPVPN Tempest test case..."
- tempest_dir=$(find /root/.rally -type d -name for-deploy*)
- # TODO:
- # do the call of your test case here.
- # the bgpvpn repo is cloned in $BGPVPN_REPO_DIR
- # tempest is installed in $tempest_dir
- # Suggestion:
- # mkdir ${tempest_dir}/tempest/api/bgpvpn/
- # cp ${BGPVPN_REPO_DIR}/networking_bgpvpn_tempest/<whatever you need> \
- # ${tempest_dir}/tempest/api/bgpvpn/
- # ${tempest_dir}/run_tempest.sh tempest.api.bgpvpn.<test_case_name>
+ tempest_dir=$(ls -t /home/opnfv/.rally/tempest/ |grep for-deploy |tail -1)
+ if [[ $tempest_dir == "" ]]; then
+ echo "Make sure tempest was running before"
+ exit 1
+ fi
+ tempest_dir=/home/opnfv/.rally/tempest/$tempest_dir
+ pushd $tempest_dir
+ . .venv/bin/activate
+ pip install --no-deps -e ~/repos/bgpvpn/.
+ cp tempest.conf /etc/tempest/
+ echo "[service_available]
+bgpvpn = True" >> /etc/tempest/tempest.conf
+ ./run_tempest.sh -- networking_bgpvpn_tempest
+ rm -rf /etc/tempest/tempest.conf
+ popd
+ ;;
+ "odl-vpnservice")
+ info "Running VPNSERVICE Robot test case..."
+ odl_tests
+ cp ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/test_list.txt \
+ ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/test_list.txt.bak
+ echo "
+test/csit/suites/vpnservice
+" > ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/test_list.txt
+ ODL_PORT=$odl_port ODL_IP=$odl_ip NEUTRON_IP=$neutron_ip USR_NAME=$usr_name PASS=$password \
+ ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/start_tests.sh
+ cp ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/test_list.txt.bak \
+ ${FUNCTEST_REPO_DIR}/testcases/Controllers/ODL/CI/test_list.txt
+ # TODO: copy logs
;;
"onos")
info "Running ONOS test case..."
@@ -143,7 +165,8 @@ function run_test(){
;;
"promise")
info "Running PROMISE test case..."
- # TODO
+ python ${FUNCTEST_REPO_DIR}/testcases/features/promise.py --debug all ${report}
+ clean_openstack
;;
"doctor")
info "Running Doctor test..."
@@ -192,7 +215,6 @@ done
tests_file="/home/opnfv/functest/conf/testcase-list.txt"
if [[ -n "$DEPLOY_SCENARIO" && "$DEPLOY_SCENARIO" != "none" ]] &&\
[[ -f $tests_file ]]; then
- echo "testcase-list.txt content:";cat $test_file; echo ""
arr_test=($(cat $tests_file))
else
arr_test=(vping tempest vims rally)